// TODO: this can be set to always be "/api" after Dockerization as the backend requests
//       will automatically be proxied to the correct destination
export const API_BASE_ADDR = import.meta.env.PROD ? "/api" : "http://localhost:8080/api"

// Probably shouldn't be hardcoded, but instead read from .env
export const AT_EXP_MS = 15 * 60 * 1000 // 15 min.
export const CSRF_EXP_MS = 12 * 60 * 60 * 1000 // 12 h.
export const REFRESH_BUF = 30 * 1000 // 30 s.

export const MIN_PASSWORD_LENGTH = 12
export const MAX_PASSWORD_LENGTH = 72
export const MIN_PASSWORD_ENTROPY = 60.0

export const UUID_REGEX = new RegExp(
	"/^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$/i"
)

// Underestimation compared to the backend to prevent mismatches when registering
export const ENTROPY_CLASSES: Array<[RegExp, number]> = [
	[/[a-z]/, 24], // 26
	[/[A-Z]/, 24], // 26
	[/\d/, 10],
	[/[!@#$%^&*()\-_+=\[\]{}|;:'",.<>\/?`~\\]/, 32] // 40
]
